curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-optimization-jobs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"prompt_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"optimized_version_id": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Returns a paginated list of prompt optimization jobs, sorted by creation date (newest first). Optionally filter by status.
page_size defaults to 30, maximum 100.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-optimization-jobs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"prompt_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"optimized_version_id": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
PromptOptimizationJobListResponse(data: list[server.api_routes.prompt_optimization_jobs_api_v2.PromptOptimizationJobSummary], pagination: server.api_routes.api_v2_common.PaginationInfo)